POST Agents/Document/SubstituteTemplateVariables
Some tooltip text!
• 2 minutes to read
• 2 minutes to read
POST /api/v1/Agents/Document/SubstituteTemplateVariables
Parse the source string, and replace any template variable tags with their values, based on the ID's given in the other parameters.
NsApiSlow threshold: 2000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Document/SubstituteTemplateVariables?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
Source, GeneratorEncoding, ContactId, PersonId, AppointmentId, DocumentId, SaleId, SelectionId, ProjectId, CultureName
| Property Name | Type | Description |
|---|---|---|
| Source | String | |
| GeneratorEncoding | String | |
| ContactId | Integer | |
| PersonId | Integer | |
| AppointmentId | Integer | |
| DocumentId | Integer | |
| SaleId | Integer | |
| SelectionId | Integer | |
| ProjectId | Integer | |
| CultureName | String |
Response:string
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: string
Sample request
POST /api/v1/Agents/Document/SubstituteTemplateVariables
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"Source": "veritatis",
"GeneratorEncoding": "Html",
"ContactId": 415,
"PersonId": 16,
"AppointmentId": 431,
"DocumentId": 941,
"SaleId": 922,
"SelectionId": 733,
"ProjectId": 505,
"CultureName": "sv"
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
"doc-12345-merged"